using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("存在风险")]
    public class T_FO_FIRE_JOB_RISK : MesEntityBase
    {
        [Description("动火作业")]
        [DataFieldForeignKey("Nav_Job", "Nav_Risks")]
        public Guid FIRE_JOB_ID { get; set; }

        [Description("导航属性：动火作业")]
        public virtual T_FO_FIRE_JOB Nav_Job { get; set; }

        [Description("企业库")]
        public Guid? ENTERPRISE_LIBRARY_ID { get; set; }

        [Description("风险名称")]
        [DataFieldLength(20)]
        public string RISK_NAME { get; set; }
    }
}
